Subject: Re: linux-next: build failure after merge of the final tree (wireless & staging trees related)

From: Greg KH <[email-masked]>
Date: Tue, 23 Aug 2011 14:30:13 -0700

On Fri, Aug 12, 2011 at 05:13:22PM +0300, Kalle Valo wrote:
> On 08/12/2011 04:51 PM, John W. Linville wrote:
> > On Fri, Aug 12, 2011 at 12:12:16PM +1000, Stephen Rothwell wrote:
> >> On Thu, 11 Aug 2011 18:50:57 +0300 Kalle Valo <[email-masked]> wrote:
> >>>
> >>> Yes, please delete ath6kl from staging for the 3.2 release as the
> >>> cleanup version is now in wireless-next.
> >>>
> >>> Thank you everyone and sorry for the mess.
> >>
> >> I think that the removal should be done in the wirelesss tree so that
> >> Linus' tree is not broken during the next merge window.
> >>
> >> I have added the removal patch as a merge fixup one the merge of the
> >> wireless tree for today.
> > 
> > Makes sense to me -- probably also is more sane if there is some fool
> > out there relying on the ath6kl driver in staging that doesn't know
> > about the switch to the wireless tree.
> 
> Ok, I'll send a patch to John which removes the staging driver.

Note, I also applied this to the staging-next tree to keep people from
sending me cleanup patches against the driver.  git will resolve the
fact that it was deleted in both branches just fine when we merge with
Linus for 3.2.

thanks,

greg k-h